/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_FPGT                                                     */
/* Tabela : FORMPGTO                                                          */
/*                                                                            */
/* Criao:                                                                   */
/* 03/05/2004 - David Moreno Ferreira                                         */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_FPGT'  and
            type = 'TR'               and
            u.uid = o.uid             and
            u.name = USER)
   DROP TRIGGER DTULTATU_FPGT
GO

CREATE TRIGGER DTULTATU_FPGT
ON FORMPGTO
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'FORMPGTO', null, 'CDFORMPGTO=' + CDFORMPGTO + ';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE FORMPGTO
      SET DTULTATUFPGT = GETDATE()
      FROM INSERTED
      WHERE (ISNULL(FORMPGTO.CDFORMPGTO,0) = ISNULL(INSERTED.CDFORMPGTO,0)) AND
            (ISNULL(FORMPGTO.NMFORMPGTO,0) = ISNULL(INSERTED.NMFORMPGTO,0)) AND
            (ISNULL(FORMPGTO.IDTIPODTPGTO,0) = ISNULL(INSERTED.IDTIPODTPGTO,0)) AND
            (ISNULL(FORMPGTO.IDTPPERIODO,0)   = ISNULL(INSERTED.IDTPPERIODO,0));
   END;
END;
GO

